# $Id: lua.m4,v 1.1 2003/06/19 11:36:04 erik Exp $
#
#
# AM_PATH_LUA([ACTION-IF-FOUND [,ACTION-IF-NOT-FOUND]])
#

AC_DEFUN(AM_PATH_LUA,
[
  AC_REQUIRE([AC_PROG_CC])

  AC_REQUIRE([AC_CHECK_LIBM])

  LUA_CFLAGS=""
  LUA_LIBS=""

  AC_LANG_SAVE
  AC_LANG_C

  AC_ARG_WITH(lua-prefix,    
    [  --with-lua-prefix=PFX     Prefix where LUA is installed],
    [
      LUA_CFLAGS="-I$withval/include"
      LUA_LIBS="-L$withval/lib"
    ])

  AC_ARG_WITH(lua-includes,    
    [  --with-lua-includes=DIR   where the LUA includes are installed],
    [
      LUA_CFLAGS="-I$withval"
    ])

  AC_ARG_WITH(lua-libraries,    
    [  --with-lua-libraries=DIR  where the LUA libraries are installed],
    [
      LUA_LIBS="-L$withval"
    ])

  saved_CFLAGS="$CFLAGS"
  saved_LIBS="$LIBS"
  AC_LANG_SAVE
  AC_LANG_C
  have_LUA=no

  exec 8>&AC_FD_MSG
dnl  exec AC_FD_MSG>/dev/null

case "$host" in
	*-*-cygwin* | *-*-mingw32*)
		LUA_CFLAGS=""
		LUA_LIBS=""
		have_LUA=yes
		;;
	*-apple-darwin*)
		LUA_LIBS=""
		have_LUA=yes
		;;
	*)
		LUA_CFLAGS="`luca-config --compile`"
		LUA_LIBS="`lua-config --libs`"
		;;
esac

  LIBS="$saved_LIBS"
  CFLAGS="$saved_CFLAGS"

  exec AC_FD_MSG>&8
  AC_LANG_RESTORE

  if test "$have_LUA" = "yes"; then
     ifelse([$1], , :, [$1])     
  else
     LUA_CFLAGS=""
     LUA_LIBS=""
     ifelse([$2], , :, [$2])
  fi
  AC_SUBST(LUA_CFLAGS)
  AC_SUBST(LUA_LIBS)
])

